Interlaken
API referenceAgents and workflowsAgent sessions

Update an agent session's settings (title, model, idle window)

PUT
/api/v1/agent-sessions/{id}

Requires the agent_sessions:create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/agent-sessions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "auth_url": "string",  "branch": "string",  "created_at": "2019-08-24T14:15:22Z",  "harness": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "idle_minutes": 0,  "instance_id": "06587974-2dbe-4e10-8bf9-38cce0f5a366",  "instance_size": "string",  "kind": "string",  "last_activity": "2019-08-24T14:15:22Z",  "last_error": "string",  "model": "string",  "online": true,  "queued_messages": 0,  "reasoning_effort": "string",  "remote_control_name": "string",  "repo_full_name": "string",  "repo_url": "string",  "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",  "run_phase": "string",  "run_status": "string",  "sandbox_target": "string",  "state": "string",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "title": "string",  "updated_at": "2019-08-24T14:15:22Z"}